DJI Mavic, Air and Mini Drones
Friendly, Helpful & Knowledgeable Community
Join Us Now

The "Must upgrade DJI Go 4.1.3 App" thread (locked drones)

Capra Vecinului

Well-Known Member
Joined
Feb 19, 2017
Messages
209
Reactions
111
Age
52
Location
Romania
Hello fellow Mavic owners, I have started this thread to keep clean other threads focused on their initial topic.

Feel free to discuss here all the latest messages some of the users reported lately about a forced DJI Go 4 app upgrade imposed by DJI, via a red message; upgrade that refers to Go4 app version 4.1.3.
 
As for myself, here's the current status:
- Firmware: 700
- App: 4.1.0
- Device: iPhone 6S
- Internet: on
No mandatory upgrade; just the NFZ upgrade suggestion, which I could ignore as before. Let's see for how long.
 
Does the NFZ upgrade itself change anything about the functionality of the drone? I thought it needed the .0800 firmware update for the NFZs to be enforced (by reducing the Mavic's functionality if within an NFZ or not logged in).
 
I'm on 4.1.2 and everytime I start the app, it asks me whether to update the NFZ.. so far I kept tapping ignore and suffer no ill issues...
 
  • Like
Reactions: Capra Vecinului
I think its the syncing of your logs that might be an issue.
Someone from dji can just query speeds, gps cordinates that are in nfz, or even heights that excees 500m. Once they data mine they can possibly Track your serial number and dji login details
 
I think its the syncing of your logs that might be an issue.
Someone from dji can just query speeds, gps cordinates that are in nfz, or even heights that excees 500m. Once they data mine they can possibly Track your serial number and dji login details

I assume you are referring to someone who modified his Mavic. Yet, this is not about that topic; it's about this example here, and I doubt that user has changed anything to his Phantom drone previous to his vacation: How DJI is ruining my holiday right now!
 
What am I missing? Why the fear of 4.1.3? I've been running that on my super Mavic just fine.
for android 6.0 and galaxy s7?

the reason i don't want to update is that i'm still learning, and i want to stay stable learning the in and outs before doing crazy things like updates (the horror stories)
 
  • Like
Reactions: Capra Vecinului
I'm having the same problem as the OP now. The app has been hijacked by DJI and I can't use it anymore. I'm not going g to upgrade to 4.1.3. What can I do?

And is nobody else having this issue apart from the OP and I?
 
I'm having the same problem as the OP now. The app has been hijacked by DJI and I can't use it anymore. I'm not going g to upgrade to 4.1.3. What can I do?

And is nobody else having this issue apart from the OP and I?

What harm does upgrading to 4.1.3 do to you? I don't get the panicking
 
What harm does upgrading to 4.1.3 do to you? I don't get the panicking
Say you've been dating a person, and every time you have met the meeting location and content (reason for app update) was disclosed and you agreed. One day they tell you they will not meet you anymore (i.e. they brick your property) unless you agree to a secret location and meeting content of their choice. They call the content simply "bug fixes". Would you agree? I would not. Thank you.
 
I think the fact that they are forcing this update, unlike with all previous ones, paired with the fact that they are not saying what it contains, should make everybody worried about doing it.

im using an android 6.0 galaxy s7, and it only says bug fixes, what happens if i have the issues i've read before about other androids, where the app closes automatically and lose my drone, worse, it harms someone?

atm im thinking about giving my mavic back and check for problems (the gimbal automatically points down in flight) and that makes me fly super cautious
 
  • Like
Reactions: woesch and kona
Say you've been dating a person, and every time you have met the meeting location and content (app update and reason therefore) was based on mutual consent. One day they tell you they will not meet you anymore (let you use their product) unless you agree to a location and content of the meeting of their choice. They call the content simply "bug fixes". Would you agree? I would not. Thank you.
I understand your concern, but I don't think a simple app update should cause such an issue. It doesn't harm you or your Mavic.
 
To each their own. I personally am not turned on by coercion paired with secrecy.

Paranoïa at its finest, I must say.
To actually help you, the following thread is extremely popular, follow the steps and instructions and you can forever be free of the shackles of DJi and their 'evil' corporate agenda.

I created a VM so we can all forever downgrade to 400


Have a nice day, and enjoy your Mavic.

-Mike
 
I am on 4.1.3 and I think the reason for this forced update is, that the FCC/EU switch hack is not working anymore more.
 
  • Like
Reactions: VortexSpin
Lycus Tech Mavic Air 3 Case

DJI Drone Deals

New Threads

Forum statistics

Threads
131,057
Messages
1,559,397
Members
160,044
Latest member
ken28e